Package org.apache.storm.generated

## Class ComponentPageInfo

- java.lang.Object
- - org.apache.storm.generated.ComponentPageInfo

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<ComponentPageInfo>`, `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class ComponentPageInfo
      extends Object
      implements org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>, Serializable, Cloneable, Comparable<ComponentPageInfo>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComponentPageInfo._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<ComponentPageInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentPageInfo()` |
    `ComponentPageInfo​(String component_id, ComponentType component_type)` |
    `ComponentPageInfo​(ComponentPageInfo other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add_to_errors​(ErrorInfo elem)` |
    `void` | `add_to_exec_stats​(ExecutorAggregateStats elem)` |
    `void` | `clear()` |
    `int` | `compareTo​(ComponentPageInfo other)` |
    `ComponentPageInfo` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(ComponentPageInfo that)` |
    `ComponentPageInfo._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_component_id()` |
    `ComponentType` | `get_component_type()` |
    `DebugOptions` | `get_debug_options()` |
    `List<ErrorInfo>` | `get_errors()` |
    `Iterator<ErrorInfo>` | `get_errors_iterator()` |
    `int` | `get_errors_size()` |
    `String` | `get_eventlog_host()` |
    `int` | `get_eventlog_port()` |
    `List<ExecutorAggregateStats>` | `get_exec_stats()` |
    `Iterator<ExecutorAggregateStats>` | `get_exec_stats_iterator()` |
    `int` | `get_exec_stats_size()` |
    `Map<GlobalStreamId,​ComponentAggregateStats>` | `get_gsid_to_input_stats()` |
    `int` | `get_gsid_to_input_stats_size()` |
    `int` | `get_num_executors()` |
    `int` | `get_num_tasks()` |
    `Map<String,​Double>` | `get_resources_map()` |
    `int` | `get_resources_map_size()` |
    `Map<String,​ComponentAggregateStats>` | `get_sid_to_output_stats()` |
    `int` | `get_sid_to_output_stats_size()` |
    `String` | `get_topology_id()` |
    `String` | `get_topology_name()` |
    `String` | `get_topology_status()` |
    `Map<String,​ComponentAggregateStats>` | `get_window_to_stats()` |
    `int` | `get_window_to_stats_size()` |
    `Object` | `getFieldValue​(ComponentPageInfo._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_component_id()` | Returns true if field component_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_component_type()` | Returns true if field component_type is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_debug_options()` | Returns true if field debug_options is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_errors()` | Returns true if field errors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_eventlog_host()` | Returns true if field eventlog_host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_eventlog_port()` | Returns true if field eventlog_port is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_exec_stats()` | Returns true if field exec_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_gsid_to_input_stats()` | Returns true if field gsid_to_input_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_executors()` | Returns true if field num_executors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_tasks()` | Returns true if field num_tasks is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_resources_map()` | Returns true if field resources_map is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_sid_to_output_stats()` | Returns true if field sid_to_output_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_id()` | Returns true if field topology_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_name()` | Returns true if field topology_name is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_status()` | Returns true if field topology_status is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_window_to_stats()` | Returns true if field window_to_stats is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(ComponentPageInfo._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_gsid_to_input_stats​(GlobalStreamId key, ComponentAggregateStats val)` |
    `void` | `put_to_resources_map​(String key, double val)` |
    `void` | `put_to_sid_to_output_stats​(String key, ComponentAggregateStats val)` |
    `void` | `put_to_window_to_stats​(String key, ComponentAggregateStats val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_component_id​(String component_id)` |
    `void` | `set_component_id_isSet​(boolean value)` |
    `void` | `set_component_type​(ComponentType component_type)` |
    `void` | `set_component_type_isSet​(boolean value)` |
    `void` | `set_debug_options​(DebugOptions debug_options)` |
    `void` | `set_debug_options_isSet​(boolean value)` |
    `void` | `set_errors​(List<ErrorInfo> errors)` |
    `void` | `set_errors_isSet​(boolean value)` |
    `void` | `set_eventlog_host​(String eventlog_host)` |
    `void` | `set_eventlog_host_isSet​(boolean value)` |
    `void` | `set_eventlog_port​(int eventlog_port)` |
    `void` | `set_eventlog_port_isSet​(boolean value)` |
    `void` | `set_exec_stats​(List<ExecutorAggregateStats> exec_stats)` |
    `void` | `set_exec_stats_isSet​(boolean value)` |
    `void` | `set_gsid_to_input_stats​(Map<GlobalStreamId,​ComponentAggregateStats> gsid_to_input_stats)` |
    `void` | `set_gsid_to_input_stats_isSet​(boolean value)` |
    `void` | `set_num_executors​(int num_executors)` |
    `void` | `set_num_executors_isSet​(boolean value)` |
    `void` | `set_num_tasks​(int num_tasks)` |
    `void` | `set_num_tasks_isSet​(boolean value)` |
    `void` | `set_resources_map​(Map<String,​Double> resources_map)` |
    `void` | `set_resources_map_isSet​(boolean value)` |
    `void` | `set_sid_to_output_stats​(Map<String,​ComponentAggregateStats> sid_to_output_stats)` |
    `void` | `set_sid_to_output_stats_isSet​(boolean value)` |
    `void` | `set_topology_id​(String topology_id)` |
    `void` | `set_topology_id_isSet​(boolean value)` |
    `void` | `set_topology_name​(String topology_name)` |
    `void` | `set_topology_name_isSet​(boolean value)` |
    `void` | `set_topology_status​(String topology_status)` |
    `void` | `set_topology_status_isSet​(boolean value)` |
    `void` | `set_window_to_stats​(Map<String,​ComponentAggregateStats> window_to_stats)` |
    `void` | `set_window_to_stats_isSet​(boolean value)` |
    `void` | `setFieldValue​(ComponentPageInfo._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_component_id()` |
    `void` | `unset_component_type()` |
    `void` | `unset_debug_options()` |
    `void` | `unset_errors()` |
    `void` | `unset_eventlog_host()` |
    `void` | `unset_eventlog_port()` |
    `void` | `unset_exec_stats()` |
    `void` | `unset_gsid_to_input_stats()` |
    `void` | `unset_num_executors()` |
    `void` | `unset_num_tasks()` |
    `void` | `unset_resources_map()` |
    `void` | `unset_sid_to_output_stats()` |
    `void` | `unset_topology_id()` |
    `void` | `unset_topology_name()` |
    `void` | `unset_topology_status()` |
    `void` | `unset_window_to_stats()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ComponentPageInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ComponentPageInfo

          public ComponentPageInfo()

    - #### ComponentPageInfo

          public ComponentPageInfo​(String component_id,
                                   ComponentType component_type)

    - #### ComponentPageInfo

          public ComponentPageInfo​(ComponentPageInfo other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ComponentPageInfo deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### get_component_id

          public String get_component_id()

    - #### set_component_id

          public void set_component_id​(String component_id)

    - #### unset_component_id

          public void unset_component_id()

    - #### is_set_component_id

          public boolean is_set_component_id()

      Returns true if field component_id is set (has been assigned a value) and false otherwise

    - #### set_component_id_isSet

          public void set_component_id_isSet​(boolean value)

    - #### get_component_type

          public ComponentType get_component_type()

      See Also:
        `ComponentType`

    - #### set_component_type

          public void set_component_type​(ComponentType component_type)

      See Also:
        `ComponentType`

    - #### unset_component_type

          public void unset_component_type()

    - #### is_set_component_type

          public boolean is_set_component_type()

      Returns true if field component_type is set (has been assigned a value) and false otherwise

    - #### set_component_type_isSet

          public void set_component_type_isSet​(boolean value)

    - #### get_topology_id

          public String get_topology_id()

    - #### set_topology_id

          public void set_topology_id​(String topology_id)

    - #### unset_topology_id

          public void unset_topology_id()

    - #### is_set_topology_id

          public boolean is_set_topology_id()

      Returns true if field topology_id is set (has been assigned a value) and false otherwise

    - #### set_topology_id_isSet

          public void set_topology_id_isSet​(boolean value)

    - #### get_topology_name

          public String get_topology_name()

    - #### set_topology_name

          public void set_topology_name​(String topology_name)

    - #### unset_topology_name

          public void unset_topology_name()

    - #### is_set_topology_name

          public boolean is_set_topology_name()

      Returns true if field topology_name is set (has been assigned a value) and false otherwise

    - #### set_topology_name_isSet

          public void set_topology_name_isSet​(boolean value)

    - #### get_num_executors

          public int get_num_executors()

    - #### set_num_executors

          public void set_num_executors​(int num_executors)

    - #### unset_num_executors

          public void unset_num_executors()

    - #### is_set_num_executors

          public boolean is_set_num_executors()

      Returns true if field num_executors is set (has been assigned a value) and false otherwise

    - #### set_num_executors_isSet

          public void set_num_executors_isSet​(boolean value)

    - #### get_num_tasks

          public int get_num_tasks()

    - #### set_num_tasks

          public void set_num_tasks​(int num_tasks)

    - #### unset_num_tasks

          public void unset_num_tasks()

    - #### is_set_num_tasks

          public boolean is_set_num_tasks()

      Returns true if field num_tasks is set (has been assigned a value) and false otherwise

    - #### set_num_tasks_isSet

          public void set_num_tasks_isSet​(boolean value)

    - #### get_window_to_stats_size

          public int get_window_to_stats_size()

    - #### put_to_window_to_stats

          public void put_to_window_to_stats​(String key,
                                             ComponentAggregateStats val)

    - #### get_window_to_stats

          public Map<String,​ComponentAggregateStats> get_window_to_stats()

    - #### set_window_to_stats

          public void set_window_to_stats​(Map<String,​ComponentAggregateStats> window_to_stats)

    - #### unset_window_to_stats

          public void unset_window_to_stats()

    - #### is_set_window_to_stats

          public boolean is_set_window_to_stats()

      Returns true if field window_to_stats is set (has been assigned a value) and false otherwise

    - #### set_window_to_stats_isSet

          public void set_window_to_stats_isSet​(boolean value)

    - #### get_gsid_to_input_stats_size

          public int get_gsid_to_input_stats_size()

    - #### put_to_gsid_to_input_stats

          public void put_to_gsid_to_input_stats​(GlobalStreamId key,
                                                 ComponentAggregateStats val)

    - #### get_gsid_to_input_stats

          public Map<GlobalStreamId,​ComponentAggregateStats> get_gsid_to_input_stats()

    - #### set_gsid_to_input_stats

          public void set_gsid_to_input_stats​(Map<GlobalStreamId,​ComponentAggregateStats> gsid_to_input_stats)

    - #### unset_gsid_to_input_stats

          public void unset_gsid_to_input_stats()

    - #### is_set_gsid_to_input_stats

          public boolean is_set_gsid_to_input_stats()

      Returns true if field gsid_to_input_stats is set (has been assigned a value) and false otherwise

    - #### set_gsid_to_input_stats_isSet

          public void set_gsid_to_input_stats_isSet​(boolean value)

    - #### get_sid_to_output_stats_size

          public int get_sid_to_output_stats_size()

    - #### put_to_sid_to_output_stats

          public void put_to_sid_to_output_stats​(String key,
                                                 ComponentAggregateStats val)

    - #### get_sid_to_output_stats

          public Map<String,​ComponentAggregateStats> get_sid_to_output_stats()

    - #### set_sid_to_output_stats

          public void set_sid_to_output_stats​(Map<String,​ComponentAggregateStats> sid_to_output_stats)

    - #### unset_sid_to_output_stats

          public void unset_sid_to_output_stats()

    - #### is_set_sid_to_output_stats

          public boolean is_set_sid_to_output_stats()

      Returns true if field sid_to_output_stats is set (has been assigned a value) and false otherwise

    - #### set_sid_to_output_stats_isSet

          public void set_sid_to_output_stats_isSet​(boolean value)

    - #### get_exec_stats_size

          public int get_exec_stats_size()

    - #### get_exec_stats_iterator

          public Iterator<ExecutorAggregateStats> get_exec_stats_iterator()

    - #### add_to_exec_stats

          public void add_to_exec_stats​(ExecutorAggregateStats elem)

    - #### get_exec_stats

          public List<ExecutorAggregateStats> get_exec_stats()

    - #### set_exec_stats

          public void set_exec_stats​(List<ExecutorAggregateStats> exec_stats)

    - #### unset_exec_stats

          public void unset_exec_stats()

    - #### is_set_exec_stats

          public boolean is_set_exec_stats()

      Returns true if field exec_stats is set (has been assigned a value) and false otherwise

    - #### set_exec_stats_isSet

          public void set_exec_stats_isSet​(boolean value)

    - #### get_errors_size

          public int get_errors_size()

    - #### get_errors_iterator

          public Iterator<ErrorInfo> get_errors_iterator()

    - #### add_to_errors

          public void add_to_errors​(ErrorInfo elem)

    - #### get_errors

          public List<ErrorInfo> get_errors()

    - #### set_errors

          public void set_errors​(List<ErrorInfo> errors)

    - #### unset_errors

          public void unset_errors()

    - #### is_set_errors

          public boolean is_set_errors()

      Returns true if field errors is set (has been assigned a value) and false otherwise

    - #### set_errors_isSet

          public void set_errors_isSet​(boolean value)

    - #### get_eventlog_host

          public String get_eventlog_host()

    - #### set_eventlog_host

          public void set_eventlog_host​(String eventlog_host)

    - #### unset_eventlog_host

          public void unset_eventlog_host()

    - #### is_set_eventlog_host

          public boolean is_set_eventlog_host()

      Returns true if field eventlog_host is set (has been assigned a value) and false otherwise

    - #### set_eventlog_host_isSet

          public void set_eventlog_host_isSet​(boolean value)

    - #### get_eventlog_port

          public int get_eventlog_port()

    - #### set_eventlog_port

          public void set_eventlog_port​(int eventlog_port)

    - #### unset_eventlog_port

          public void unset_eventlog_port()

    - #### is_set_eventlog_port

          public boolean is_set_eventlog_port()

      Returns true if field eventlog_port is set (has been assigned a value) and false otherwise

    - #### set_eventlog_port_isSet

          public void set_eventlog_port_isSet​(boolean value)

    - #### get_debug_options

          public DebugOptions get_debug_options()

    - #### set_debug_options

          public void set_debug_options​(DebugOptions debug_options)

    - #### unset_debug_options

          public void unset_debug_options()

    - #### is_set_debug_options

          public boolean is_set_debug_options()

      Returns true if field debug_options is set (has been assigned a value) and false otherwise

    - #### set_debug_options_isSet

          public void set_debug_options_isSet​(boolean value)

    - #### get_topology_status

          public String get_topology_status()

    - #### set_topology_status

          public void set_topology_status​(String topology_status)

    - #### unset_topology_status

          public void unset_topology_status()

    - #### is_set_topology_status

          public boolean is_set_topology_status()

      Returns true if field topology_status is set (has been assigned a value) and false otherwise

    - #### set_topology_status_isSet

          public void set_topology_status_isSet​(boolean value)

    - #### get_resources_map_size

          public int get_resources_map_size()

    - #### put_to_resources_map

          public void put_to_resources_map​(String key,
                                           double val)

    - #### get_resources_map

          public Map<String,​Double> get_resources_map()

    - #### set_resources_map

          public void set_resources_map​(Map<String,​Double> resources_map)

    - #### unset_resources_map

          public void unset_resources_map()

    - #### is_set_resources_map

          public boolean is_set_resources_map()

      Returns true if field resources_map is set (has been assigned a value) and false otherwise

    - #### set_resources_map_isSet

          public void set_resources_map_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(ComponentPageInfo._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(ComponentPageInfo._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### isSet

          public boolean isSet​(ComponentPageInfo._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(ComponentPageInfo that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(ComponentPageInfo other)

      Specified by:
        `compareTo` in interface `Comparable<ComponentPageInfo>`

    - #### fieldForId

          public ComponentPageInfo._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ComponentPageInfo,​ComponentPageInfo._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`